# XMPP::Roster::Item Class Reference

`#include <xmpp_roster.h>`

Inheritance diagram for XMPP::Roster::Item:

List of all members.

## Public Member Functions

| Item (PXMLElement *item=0)
| Item (PXMLElement &item)
| Item (const JID &jid, ItemType type, const PString &group, const PString &name=PString::Empty())
const JID & | GetJID () const
ItemType | GetType () const
const PString & | GetName () const
const PStringSet & | GetGroups () const
const PresenceInfo & | GetPresence () const
virtual void | SetJID (const JID &jid, PBoolean dirty=true)
virtual void | SetType (ItemType type, PBoolean dirty=true)
virtual void | SetName (const PString &name, PBoolean dirty=true)
virtual void | AddGroup (const PString &group, PBoolean dirty=true)
virtual void | RemoveGroup (const PString &group, PBoolean dirty=true)
virtual void | SetPresence (const Presence &p)
void | SetDirty (PBoolean b=true)
Item & | operator= (const PXMLElement &item)
| This operator will set the dirty flag.
virtual PXMLElement * | AsXML (PXMLElement *parent) const

## Protected Attributes

BareJID | m_JID
ItemType | m_Type
PString | m_Name
PStringSet | m_Groups
PDictionary< PString, Presence > | m_Presence
PBoolean | m_IsDirty

## Constructor & Destructor Documentation

XMPP::Roster::Item::Item | ( | PXMLElement * | item = `0` | ) |

XMPP::Roster::Item::Item | ( | PXMLElement & | item | ) |

XMPP::Roster::Item::Item | ( | const JID & | jid,
|  | ItemType | type,
|  | const PString & | group,
|  | const PString & | name = `PString::Empty()` |
| ) |  |  |

## Member Function Documentation

virtual void XMPP::Roster::Item::AddGroup | ( | const PString & | group,
|  | PBoolean | dirty = `true` |
| ) |  |  | `[virtual]`

virtual PXMLElement* XMPP::Roster::Item::AsXML | ( | PXMLElement * | parent | ) | const`[virtual]`

const PStringSet& XMPP::Roster::Item::GetGroups | ( |  | ) | const`[inline]`

const JID& XMPP::Roster::Item::GetJID | ( |  | ) | const`[inline]`

const PString& XMPP::Roster::Item::GetName | ( |  | ) | const`[inline]`

const PresenceInfo& XMPP::Roster::Item::GetPresence | ( |  | ) | const`[inline]`

ItemType XMPP::Roster::Item::GetType | ( |  | ) | const`[inline]`

Item& XMPP::Roster::Item::operator= | ( | const PXMLElement & | item | ) |

This operator will set the dirty flag.

virtual void XMPP::Roster::Item::RemoveGroup | ( | const PString & | group,
|  | PBoolean | dirty = `true` |
| ) |  |  | `[virtual]`

void XMPP::Roster::Item::SetDirty | ( | PBoolean | b = `true` | ) | `[inline]`

virtual void XMPP::Roster::Item::SetJID | ( | const JID & | jid,
|  | PBoolean | dirty = `true` |
| ) |  |  | `[inline, virtual]`

virtual void XMPP::Roster::Item::SetName | ( | const PString & | name,
|  | PBoolean | dirty = `true` |
| ) |  |  | `[inline, virtual]`

virtual void XMPP::Roster::Item::SetPresence | ( | const Presence & | p | ) | `[virtual]`

virtual void XMPP::Roster::Item::SetType | ( | ItemType | type,
|  | PBoolean | dirty = `true` |
| ) |  |  | `[inline, virtual]`

## Member Data Documentation

PStringSet XMPP::Roster::Item::m_Groups `[protected]`

PBoolean XMPP::Roster::Item::m_IsDirty `[protected]`

BareJID XMPP::Roster::Item::m_JID `[protected]`

PString XMPP::Roster::Item::m_Name `[protected]`

PDictionary<PString, Presence> XMPP::Roster::Item::m_Presence `[protected]`

ItemType XMPP::Roster::Item::m_Type `[protected]`

The documentation for this class was generated from the following file:

- xmpp_roster.h